put /local/gts/CFLAGS [@-I. -I.. -I../.. -DG_LOG_DOMAIN=\"Gts\" @libs/sul/glib/cflags@@]
put /local/gts/OBJS [@
	object.o
	point.o
	vertex.o
	segment.o
	edge.o
	triangle.o
	face.o
	kdtree.o
	bbtree.o
	misc.o
	predicates.o
	heap.o
	eheap.o
	fifo.o
	matrix.o
	surface.o
	stripe.o
	vopt.o
	refine.o
	iso.o
	isotetra.o
	split.o
	psurface.o
	hsurface.o
	cdt.o
	boolean.o
	named.o
	oocs.o
	container.o
	graph.o
	pgraph.o
	partition.o
	curvature.o
	tribox3.o
@]

put /tmpasm/OFS { }
uniq /local/gts/OBJS
put /local/gts/SRCS /local/gts/OBJS
gsub /local/gts/SRCS {.o } {.c }

print [@
CFLAGS = @/local/gts/CFLAGS@
OBJS = @/local/gts/OBJS@
CC=@cc/cc@

libgts.a: $(OBJS)
	@fstools/ar@ rvu libgts.a $(OBJS)

clean:
	-@fstools/rm@ $(OBJS) libgts.a
@]

# generate explicit rules for .c -> .o
put /local/comp/OBJS /local/gts/OBJS
include {../../scconfig/Makefile.comp.inc}

# generate deps
put /local/dep/CFLAGS /local/gts/CFLAGS
put /local/dep/SRCS /local/gts/SRCS
include {../../scconfig/Makefile.dep.inc}
